stcmbackend.pagosAutomatizados = {
	sharedEvents(self, modal1, modal2) {
		// Volver a Listas de pagos automatizados
		$('#back').off().on('click', function() {
			window.location.href = '#!pagos_automatizados';
		});

		// Cargar tiempos de ejecucion
		let times = '';
		for(let i = 1; i <= 60; i++) {
			times += `<option value="${i}">${i}</option>`;
		}
		$('#tiempoEntreEjecuciones').html(times);

		// Ocultar cubos de basura
		$('#userDelete').hide();
		$('#groupDelete').hide();
		$('#listDelete').hide();
		$('#countryDelete').hide();

		// País
		let countryModal = new TableCountries(0, modal1);
		$('#searchCountry').off().on('click', function() {
			countryModal.setEvents();
		});

		// Abrir tabla usuarios
		let users = new TableUsers(0, modal2);
		$('#btn-users').click(function() {
			users.surname = false;
			users.setEvents('tableModal');
		});

		// Abrir tabla grupos
		let groups = new TableGroups(0, modal2);
		$('#btn-group').click(function() {
			groups.setEvents('tableModal');
		});

		// Abrir tabla listas
		let lists = new TableLists(0, modal2);
		$('#btn-list').click(function() {
			lists.setEvents('tableModal');
		});

		// Limpiar usuario a notificar
		$('#userDelete').on('click', function() {
			$('#usuarioANotificar').text('');
			$('#descUsuarioANotificar').val('');
			$('#userDelete').hide();
		});

		// Limpiar grupo a notificar
		$('#groupDelete').on('click', function() {
			$('#grupoANotificar').text('');
			$('#descGrupoANotificar').val('');
			$('#groupDelete').hide();
		});

		// Limpiar lista a notificar
		$('#listDelete').on('click', function() {
			$('#listaANotificar').text('');
			$('#descListaANotificar').val('');
			$('#listDelete').hide();
		});
	}
};